Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 123 lines (109 sloc) 4.298 kb
31821af0 »
2009-06-28 Removed emacs mode comment
1 <?xml version="1.0"?>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
2 <!DOCTYPE moduleset SYSTEM "moduleset.dtd">
3 <?xml-stylesheet type="text/xsl" href="moduleset.xsl"?>
4 <moduleset>
5
44943073 »
2009-06-22 Converted all repositories to tarball and tested
6 <repository type="tarball" name="ftp.gnome.org" default="yes"
7 href="http://ftp.gnome.org/pub/GNOME/sources/"/>
8 <repository type="tarball" name="icon-theme"
9 href="http://icon-theme.freedesktop.org/releases/"/>
10 <repository type="tarball" name="cairographics.org"
11 href="http://cairographics.org/releases/"/>
aeea2b87 »
2009-09-21 Provide for automated second build of ige-mac-integration for python.
12 <repository type="tarball" name="sourceforge"
13 href="http://downloads.sourceforge.net/sourceforge/"/>
bbe439af »
2011-06-10 Move python from bootstrap to gtk-osx-python-modules
14 <repository type="tarball" name="python"
15 href="http://www.python.org/ftp/python/"/>
16 <repository type="tarball" name="oracle"
17 href="http://download.oracle.com/"/>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
18
19 <metamodule id="meta-gtk-osx-python">
20 <dependencies>
1a6c92c7 »
2010-10-12 Use pycairo-python2.6 (version 1.8.6). Pygoocanvas won't build with p…
21 <dep package="pycairo-python2.6"/>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
22 <dep package="pygobject"/>
23 <dep package="pygtk"/>
aeea2b87 »
2009-09-21 Provide for automated second build of ige-mac-integration for python.
24 <dep package="ige-mac-integration-python"/>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
25 </dependencies>
26 </metamodule>
27
bbe439af »
2011-06-10 Move python from bootstrap to gtk-osx-python-modules
28 <autotools id="berkeleydb" autogen-sh="dist/configure"
29 autogen-template="cd build_unix; ../%(autogen-sh)s --prefix %(prefix)s --libdir %(libdir)s %(autogenargs)s" makeargs="-C build_unix"
30 makeinstallargs="-C build_unix install">
31
32 <branch module="berkeley-db/db-4.7.25.NC.tar.gz" version="4.7.25"
33 repo="oracle" />
34 </autotools>
35
36 <autotools id="python" autogenargs="--enable-shared" autogen-sh="configure">
37 <branch repo="python"
38 module="2.6.6/Python-2.6.6.tar.bz2" version="2.6.6">
39 </branch>
40 <after>
41 <dep package="berkeleydb"/>
42 </after>
43 </autotools>
44
45
5090d208 »
2009-10-18 Updated package versions to current stable releases.
46 <!-- Pycairo 1.8.4+ requires Python 2.6. Leopard comes only with 2.5,
47 so pycairo is by default held at 1.8.2. Use pycairo-python2.6 if
48 you want a more recent version. -->
44943073 »
2009-06-22 Converted all repositories to tarball and tested
49 <autotools id="pycairo" autogen-sh="configure">
50 <branch module="pycairo-1.8.2.tar.gz" repo="cairographics.org"
51 version="1.8.2" md5sum="bbfc0c2fef08dfb0c5b8baa5f0b67a87"/>
bbe439af »
2011-06-10 Move python from bootstrap to gtk-osx-python-modules
52 <dependencies>
53 <dep package="cairo"/>
54 </dependencies>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
55 <after>
bbe439af »
2011-06-10 Move python from bootstrap to gtk-osx-python-modules
56 <dep package="python"/>
57 <dep package="meta-gtk-osx-core"/>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
58 </after>
44943073 »
2009-06-22 Converted all repositories to tarball and tested
59 </autotools>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
60
bafb334b »
2011-02-05 Put pycairo back to 1.8.8. 1.8.10 requires python3 and we're not read…
61 <!-- Pycairo 1.8.10 (and later, presumably) requires Python3. -->
5090d208 »
2009-10-18 Updated package versions to current stable releases.
62 <autotools id="pycairo-python2.6" autogen-sh="configure">
bafb334b »
2011-02-05 Put pycairo back to 1.8.8. 1.8.10 requires python3 and we're not read…
63 <branch module="pycairo-1.8.8.tar.gz" repo="cairographics.org"
64 version="1.8.8" md5sum="054da6c125cb427a003f5fd6c54f853e"/>
bbe439af »
2011-06-10 Move python from bootstrap to gtk-osx-python-modules
65 <dependencies>
66 <dep package="cairo"/>
67 </dependencies>
5090d208 »
2009-10-18 Updated package versions to current stable releases.
68 <after>
bbe439af »
2011-06-10 Move python from bootstrap to gtk-osx-python-modules
69 <dep package="python"/>
5090d208 »
2009-10-18 Updated package versions to current stable releases.
70 <dep package="meta-gtk-osx-core"/>
71 </after>
72 </autotools>
73
b3842046 »
2011-02-01 Update versions in python stable moduleset.
74 <autotools id="pygobject" autogen-sh="configure"
4714fd8b »
2010-10-12 Update pygtk and pygobject to more recent versions, disable introspec…
75 autogenargs="--disable-introspection">
b3842046 »
2011-02-01 Update versions in python stable moduleset.
76 <branch version="2.27.0" module="pygobject/2.27/pygobject-2.27.0.tar.bz2"
77 hash="sha256:7594bd86c5b92a4ba1f26927800f1b29e1ec5c246cad67aa085c279d6425b8a2"/>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
78 <dependencies>
79 <dep package="meta-gtk-osx-core"/>
80 </dependencies>
bbe439af »
2011-06-10 Move python from bootstrap to gtk-osx-python-modules
81 <after>
82 <dep package="python"/>
83 </after>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
84 </autotools>
85
97766a71 »
2011-02-04 Add pygtk-signal-watch.patch to pygtk (See https://bugzilla.gnome.org…
86 <!-- The patch addresses bug 640738. -->
4714fd8b »
2010-10-12 Update pygtk and pygobject to more recent versions, disable introspec…
87 <autotools id="pygtk" autogen-sh="configure"
88 autogenargs="--disable-introspection">
89 <branch version="2.22.0" module="pygtk/2.22/pygtk-2.22.0.tar.bz2"
90 hash="sha256:4acf0ef2bde8574913c40ee4a43d9c4f43bb77b577b67147271b534501a54cc8">
872000c3 »
2011-06-09 Bug #57: Github URL for raw downloads has changed.
91 <patch file="https://raw.github.com/jralls/gtk-osx-build/master/patches/pygtk-signal-watch.patch" strip="1"/>
503e11ea »
2010-04-19 Install pygtk patch for bug 613783
92 </branch>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
93 <dependencies>
94 <dep package="pygobject"/>
95 <dep package="meta-gtk-osx-core"/>
4714fd8b »
2010-10-12 Update pygtk and pygobject to more recent versions, disable introspec…
96 <dep package="pycairo-python2.6"/>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
97 </dependencies>
798749c5 »
2011-06-10 Make libglade an optional dependency of PyGtk.
98 <after>
99 <dep package="libglade"/>
100 </after>
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
101 </autotools>
102
aeea2b87 »
2009-09-21 Provide for automated second build of ige-mac-integration for python.
103 <autotools id="ige-mac-integration-python" autogen-sh="configure"
104 autogenargs="--enable-python">
105 <branch repo="sourceforge"
b3842046 »
2011-02-01 Update versions in python stable moduleset.
106 module="gtk-osx/ige-mac-integration-0.9.7.tar.bz2"
107 version="0.9.7" />
aeea2b87 »
2009-09-21 Provide for automated second build of ige-mac-integration for python.
108 <dependencies>
109 <dep package="pygtk"/>
110 </dependencies>
111 </autotools>
112
b207e1b1 »
2010-04-24 Added modules gtkspell and pygtk-extras to support python spell check…
113 <autotools id="pygtk-extras">
114 <branch module="gnome-python-extras/2.25/gnome-python-extras-2.25.3.tar.bz2"
115 version="2.25.3"/>
116 <dependencies>
117 <dep package="pygtk"/>
118 <dep package="gtkspell"/>
119 </dependencies>
120 </autotools>
aeea2b87 »
2009-09-21 Provide for automated second build of ige-mac-integration for python.
121
7aa6a9f4 »
2009-06-12 Add a stable set of modulesets. At the momemt, these are mostly subve…
122 </moduleset>
Something went wrong with that request. Please try again.